FROM php:7.0-apache

RUN echo "date.timezone = Europe/Moscow" >> /usr/local/etc/php/conf.d/timezone.ini \
  && echo "post_max_size = 128M" >> /usr/local/etc/php/conf.d/upload.ini \
  && echo "upload_max_filesize = 128M" >> /usr/local/etc/php/conf.d/upload.ini \
  && echo "session.gc_maxlifetime = 604800" >> /usr/local/etc/php/conf.d/session.ini

# make imagecreatefromjpeg() exist....
RUN apt-get update -y \
  && apt-get install -y \
    libwebp-dev \
    libjpeg62-turbo-dev \
    libpng-dev \
    libxpm-dev \
    libfreetype6-dev \
    zlib1g-dev \
    --no-install-recommends \
  && apt-get clean autoclean \
  && apt-get autoremove -y \
  && rm -rf /var/lib/{apt,dpkg,cache,log}/

RUN a2enmod rewrite headers proxy proxy_http \
  && docker-php-source extract \
  && docker-php-ext-configure gd \
    --with-gd --with-jpeg-dir --with-png-dir --with-zlib-dir \
    --with-xpm-dir --with-freetype-dir --enable-gd-native-ttf \
  && docker-php-ext-install gd \
  && docker-php-ext-install mysqli \
  && docker-php-source delete
